#ifndef FONTNAME_HPP_INCLUDED
#define FONTNAME_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include <string>

namespace Internal
{
    class FontName : public Object
    {
        public:
            FontName(const void* Obj);

            FontName() = default;
            FontName(FontName&& Obj) = default;
            FontName(const FontName& Obj) = default;
            FontName& operator=(FontName&& Obj) = default;
            FontName& operator=(const FontName& Obj) = default;

            static Class GetClass();

            std::string GetName() const;

    };
}

#endif // FONTNAME_HPP_INCLUDED
